Interface Technology Basics VST 3.7 SDK for developing VST plug-in

Public Types | Public Member Functions | Static Public Attributes | List of all members
IPlugViewContentScaleSupport Class Referenceabstract
Graphical User Interface

Plug-in view content scale support. More...

`#include <iplugviewcontentscalesupport.h>`

Inheritance diagram for IPlugViewContentScaleSupport:

## Public Types
typedef float | ScaleFactor

## Public Member Functions
virtual tresult | setContentScaleFactor (ScaleFactor factor)=0
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
| Query for a pointer to the specified interface. More...
virtual uint32 | addRef ()=0
| Adds a reference and returns the new reference count. More...
virtual uint32 | release ()=0
| Releases a reference and returns the new reference count. More...

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Plug-in view content scale support.

- [plug impl]
- [extends IPlugView]
- [released: 3.6.6]
- [optional]

This interface communicates the content scale factor from the host to the plug-in view on systems where plug-ins cannot get this information directly like Microsoft Windows.

The host calls setContentScaleFactor directly before or after the plug-in view is attached and when the scale factor changes while the view is attached (system change or window moved to another screen with different scaling settings).

The host may call setContentScaleFactor in a different context, for example: scaling the plug-in editor for better readability.

When a plug-in handles this (by returning kResultTrue), it needs to scale the width and height of its view by the scale factor and inform the host via a IPlugFrame::resizeView(). The host will then call IPlugView::onSize().

Note that the host is allowed to call setContentScaleFactor() at any time the IPlugView is valid. If this happens before the IPlugFrame object is set on your view, make sure that when the host calls IPlugView::getSize() afterwards you return the size of your view for that new scale factor.

It is recommended to implement this interface on Microsoft Windows to let the host know that the plug-in is able to render in different scalings.

## Member Typedef Documentation

## ◆ ScaleFactor

typedef float ScaleFactor

## Member Function Documentation

## ◆ setContentScaleFactor()

virtual tresult setContentScaleFactor | ( | ScaleFactor | factor | ) |
| pure virtual

## Member Data Documentation

## ◆ iid

const FUID iid
| static

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.